ScriptName SISA_ContrabandSell extends ReferenceAlias

Actor Property PlayerRef Auto Const
MiscObject Property Credits Auto Const
MiscObject Property ContrabandType Auto Const
Keyword Property ContrabandKeyword Auto Const
Keyword Property ContrabandKeywordAurora Auto Const
Keyword Property ContrabandKeywordJammed Auto Const
GlobalVariable Property EconomyToggle Auto Const
GlobalVariable Property ContrabandSellMultNeon Auto Const
GlobalVariable Property ContrabandSellMultAkila Auto Const
GlobalVariable Property ContrabandSellMultNewAtlantis Auto Const
GlobalVariable Property ContrabandSellMultCydonia Auto Const
GlobalVariable Property ContrabandSellMultHopeTown Auto Const
GlobalVariable Property ContrabandSellMultGagarin Auto Const
GlobalVariable Property ContrabandSellMultNewHomestead Auto Const
GlobalVariable Property ContrabandSellMultAurora Auto Const
GlobalVariable Property ContrabandSellPerkBonus Auto Const
Location Property LocNeon Auto Const
Location Property LocAkila Auto Const
Location Property LocNewAtlantis Auto Const
Location Property LocCydonia Auto Const
Location Property LocHopeTown Auto Const
Location Property LocGagarin Auto Const
Location Property LocNewHomestead Auto Const
ReferenceAlias Property PlayerShip Auto

Bool CanBeSold = False

Event OnAliasInit()
	
	Register()

EndEvent

Event OnInit()
	
	Register()

EndEvent

Event OnPlayerLoadGame()
	
	Register()

EndEvent

Function Register()
	  
	  RegisterForMenuOpenCloseEvent("BarterMenu")		
	  RegisterForRemoteEvent(PlayerShip as ScriptObject, "OnItemRemoved")
	  AddInventoryEventFilter(ContrabandKeyword) 

EndFunction

Event OnMenuOpenCloseEvent(String asMenuName, Bool abOpening)

    If EconomyToggle.GetValue() == 1
         
		 If asMenuName == "BarterMenu"
                  
				  If abOpening == True
                     CanBeSold = True
			   Else
			         CanBeSold = False
			   EndIf              
	  EndIf

 EndIf

EndEvent

Event OnItemAdded(Form akBaseItem, Int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer, Int aiTransferReason)

	Int CreditsBonusNeon = 0    
	Int CreditsBonusAkila = 0
    Int CreditsBonusAkilaAurora = 0
	Int CreditsBonusNewAtlantis = 0
    Int CreditsBonusNewAtlantisAurora = 0
    Int CreditsBonusCydonia = 0
    Int CreditsBonusCydoniaAurora = 0    
	Int CreditsBonusHopeTown = 0
    Int CreditsBonusHopeTownAurora = 0
    Int CreditsBonusGagarin = 0   
    Int CreditsBonusGagarinAurora = 0 
    Int CreditsBonusNewHomestead = 0
    Int CreditsBonusNewHomesteadAurora = 0 

	If EconomyToggle.GetValue() == 1
	     
		 If CanBeSold == True
                 
				 If PlayerRef.IsInLocation(LocNeon)
		                
						If akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
						   CreditsBonusNeon = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNeon.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusNeon, False, None)
                     EndIf
             
			 ElseIf PlayerRef.IsInLocation(LocAkila)
						
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora) 
		                   CreditsBonusAkilaAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultAkila.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusAkilaAurora, False, None)
				    ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
		                   CreditsBonusAkilaAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultAkila.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusAkilaAurora, False, None)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusAkila = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultAkila.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusAkila, False, None)
                     EndIf              

			 ElseIf PlayerRef.IsInLocation(LocNewAtlantis)
						
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora) 
		                   CreditsBonusNewAtlantisAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewAtlantis.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusNewAtlantisAurora, False, None)
				    ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
		                   CreditsBonusNewAtlantisAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewAtlantis.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusNewAtlantisAurora, False, None)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusNewAtlantis = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewAtlantis.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusNewAtlantis, False, None)
                     EndIf   			  

			 ElseIf PlayerRef.IsInLocation(LocCydonia)
						
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora) 
		                   CreditsBonusCydoniaAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultCydonia.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusCydoniaAurora, False, None)
				    ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
		                   CreditsBonusCydoniaAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultCydonia.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusCydoniaAurora, False, None)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusCydonia = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultCydonia.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusCydonia, False, None)
                     EndIf   			  

			 ElseIf PlayerRef.IsInLocation(LocHopeTown)
						
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora) 
		                   CreditsBonusHopeTownAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultHopeTown.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusHopeTownAurora, False, None)
				    ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
		                   CreditsBonusHopeTownAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultHopeTown.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusHopeTownAurora, False, None)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusHopeTown = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultHopeTown.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusHopeTown, False, None)
                     EndIf   
			  
			 ElseIf PlayerRef.IsInLocation(LocGagarin)
						
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora) 
		                   CreditsBonusGagarinAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultGagarin.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusGagarinAurora, False, None)
					ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
		                   CreditsBonusGagarinAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultGagarin.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusGagarinAurora, False, None)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusGagarin = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultGagarin.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusGagarin, False, None)
                     EndIf   			  

			 ElseIf PlayerRef.IsInLocation(LocNewHomestead)
						
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora) 
		                   CreditsBonusNewHomesteadAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewHomestead.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusNewHomesteadAurora, False, None)
					ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
		                   CreditsBonusNewHomesteadAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewHomestead.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusNewHomesteadAurora, False, None)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusNewHomestead = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewHomestead.GetValue())
						   PlayerRef.Removeitem(Credits, CreditsBonusNewHomestead, False, None)
                     EndIf   				  
			  
			  EndIf  
      EndIf
 
 EndIf

EndEvent

Event OnItemRemoved(Form akBaseItem, Int aiItemCount, ObjectReference akItemReference, ObjectReference akDestContainer, Int aiTransferReason)
        
	Int CreditsBonusNeon = 0    
	Int CreditsBonusAkila = 0
    Int CreditsBonusAkilaAurora = 0
	Int CreditsBonusNewAtlantis = 0
    Int CreditsBonusNewAtlantisAurora = 0
    Int CreditsBonusCydonia = 0
    Int CreditsBonusCydoniaAurora = 0    
	Int CreditsBonusHopeTown = 0
    Int CreditsBonusHopeTownAurora = 0
    Int CreditsBonusGagarin = 0   
    Int CreditsBonusGagarinAurora = 0 
    Int CreditsBonusNewHomestead = 0
    Int CreditsBonusNewHomesteadAurora = 0 

	If EconomyToggle.GetValue() == 1
	     
		 If CanBeSold == True
                 
				 If PlayerRef.IsInLocation(LocNeon)
		                
						If akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
						   CreditsBonusNeon = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNeon.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusNeon, False)
					 EndIf
             
			 ElseIf PlayerRef.IsInLocation(LocAkila)
		                
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora)
					       CreditsBonusAkilaAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultAkila.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusAkilaAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
					       CreditsBonusAkilaAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultAkila.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusAkilaAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusAkila = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultAkila.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusAkila, False)
                     EndIf              

			 ElseIf PlayerRef.IsInLocation(LocNewAtlantis)
						
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora)
			               CreditsBonusNewAtlantisAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewAtlantis.GetValue())
					       PlayerRef.Additem(Credits, CreditsBonusNewAtlantisAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusNewAtlantisAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewAtlantis.GetValue())
					       PlayerRef.Additem(Credits, CreditsBonusNewAtlantisAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusNewAtlantis = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewAtlantis.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusNewAtlantis, False)
                     EndIf   			  

			 ElseIf PlayerRef.IsInLocation(LocCydonia)
						
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora)
					       CreditsBonusCydoniaAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultCydonia.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusCydoniaAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
					       CreditsBonusCydoniaAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultCydonia.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusCydoniaAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusCydonia = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultCydonia.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusCydonia, False)
                     EndIf   			  

			 ElseIf PlayerRef.IsInLocation(LocHopeTown)
						
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora)
					       CreditsBonusHopeTownAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultHopeTown.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusHopeTownAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
					       CreditsBonusHopeTownAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultHopeTown.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusHopeTownAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusHopeTown = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultHopeTown.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusHopeTown, False)
                     EndIf   
			  
			 ElseIf PlayerRef.IsInLocation(LocGagarin)
						
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora)
					       CreditsBonusGagarinAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultGagarin.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusGagarinAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
					       CreditsBonusGagarinAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultGagarin.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusGagarinAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusGagarin = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultGagarin.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusGagarin, False)
                     EndIf   			  

			 ElseIf PlayerRef.IsInLocation(LocNewHomestead)
						
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora)
					       CreditsBonusNewHomesteadAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewHomestead.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusNewHomesteadAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
					       CreditsBonusNewHomesteadAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewHomestead.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusNewHomesteadAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusNewHomestead = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewHomestead.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusNewHomestead, False)
                     EndIf   				  
			  
			  EndIf  
      EndIf
 
 EndIf

EndEvent

Event ReferenceAlias.OnItemRemoved(ReferenceAlias akSender, Form akBaseItem, Int aiItemCount, ObjectReference akItemReference, ObjectReference akDestContainer, Int aiTransferReason)
    
	SpaceShipReference akShip = PlayerShip.getShipRef()
	
	Int CreditsBonusNeon = 0    
	Int CreditsBonusAkila = 0
    Int CreditsBonusAkilaAurora = 0
	Int CreditsBonusNewAtlantis = 0
    Int CreditsBonusNewAtlantisAurora = 0
    Int CreditsBonusCydonia = 0
    Int CreditsBonusCydoniaAurora = 0    
	Int CreditsBonusHopeTown = 0
    Int CreditsBonusHopeTownAurora = 0
    Int CreditsBonusGagarin = 0   
    Int CreditsBonusGagarinAurora = 0 
    Int CreditsBonusNewHomestead = 0
    Int CreditsBonusNewHomesteadAurora = 0 

	If EconomyToggle.GetValue() == 1
	     
		 If CanBeSold == True
                 
				 If akShip.IsInLocation(LocNeon)
		                
						If akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
						   CreditsBonusNeon = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNeon.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusNeon, False)
					 EndIf
             
			 ElseIf akShip.IsInLocation(LocAkila)
		                
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora)
					       CreditsBonusAkilaAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultAkila.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusAkilaAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
					       CreditsBonusAkilaAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultAkila.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusAkilaAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusAkila = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultAkila.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusAkila, False)
                     EndIf              

			 ElseIf akShip.IsInLocation(LocNewAtlantis)
						
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora)
			               CreditsBonusNewAtlantisAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewAtlantis.GetValue())
					       PlayerRef.Additem(Credits, CreditsBonusNewAtlantisAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusNewAtlantisAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewAtlantis.GetValue())
					       PlayerRef.Additem(Credits, CreditsBonusNewAtlantisAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusNewAtlantis = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewAtlantis.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusNewAtlantis, False)
                     EndIf   			  

			 ElseIf akShip.IsInLocation(LocCydonia)
						
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora)
					       CreditsBonusCydoniaAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultCydonia.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusCydoniaAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
					       CreditsBonusCydoniaAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultCydonia.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusCydoniaAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusCydonia = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultCydonia.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusCydonia, False)
                     EndIf   			  

			 ElseIf akShip.IsInLocation(LocHopeTown)
						
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora)
					       CreditsBonusHopeTownAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultHopeTown.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusHopeTownAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
					       CreditsBonusHopeTownAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultHopeTown.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusHopeTownAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusHopeTown = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultHopeTown.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusHopeTown, False)
                     EndIf   
			  
			 ElseIf akShip.IsInLocation(LocGagarin)
						
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora)
					       CreditsBonusGagarinAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultGagarin.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusGagarinAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
					       CreditsBonusGagarinAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultGagarin.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusGagarinAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusGagarin = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultGagarin.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusGagarin, False)
                     EndIf   			  

			 ElseIf akShip.IsInLocation(LocNewHomestead)
						
						If akBaseItem.HasKeyword(ContrabandKeyword) && akBaseItem.HasKeyword(ContrabandKeywordAurora)
					       CreditsBonusNewHomesteadAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewHomestead.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusNewHomesteadAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeywordAurora) && akBaseItem.HasKeyword(ContrabandKeywordJammed)
					       CreditsBonusNewHomesteadAurora = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellMultAurora.GetValue() * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewHomestead.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusNewHomesteadAurora, False)
					ElseIf akBaseItem.HasKeyword(ContrabandKeyword) || akBaseItem.HasKeyword(ContrabandKeywordJammed)
			               CreditsBonusNewHomestead = Math.Round(akBaseItem.GetGoldValue() * aiItemCount * ContrabandSellPerkBonus.GetValue() / ContrabandSellMultNewHomestead.GetValue())
						   PlayerRef.Additem(Credits, CreditsBonusNewHomestead, False)
                     EndIf   				  
			  
			  EndIf  
      EndIf
 
 EndIf

EndEvent

